#include <PalmOS.h>			
#include <PalmCompatibility.h>			
#include <SonyCLIE.h>
#include "remocon_res.h"

void PushRemoconButton(int id);
extern void __Startup__();
Boolean Handler( EventType *ev);
void
__Startup__()
{
	FormPtr form,old;
	FieldPtr p;
	unsigned short sel,ctl;
	char *buf1, *buf2;
	Handle h;
	Word length;
	unsigned short start,end;
	int button;
	
	old = FrmGetActiveForm();
	
	form= FrmInitForm( 1000);
	FrmSetActiveForm( form);
	FrmSetEventHandler( form, Handler);
	FrmDrawForm(form);

	button =  FrmDoDialog(form);

	PushRemoconButton( button);

	FrmEraseForm( form);
	FrmDeleteForm( form);
	FrmSetActiveForm( old);
		
	return;
}

void PushRemoconButton(int id)
{
	int keyCode;
	
	switch ( id ){
		case MainPlayButton:
			keyCode = 3300;
			break;

		case MainStopButton:
			keyCode = 2000;
			break;

		case MainFFButton:
			keyCode = 2500;
			break;

		case MainFRButton:
			keyCode = 3100;
			break;

		case MainUpButton:
			keyCode = 1700;
			break;

		case MainDownButton:
			keyCode = 1850;
			break;
	}
	if ( keyCode){
		EvtEnqueueKey( vchrRmcKeyPush, keyCode, commandKeyMask);
		EvtEnqueueKey( vchrRmcKeyRelease, 0, commandKeyMask);
	}
}

Boolean Handler( EventType *ev)
{
	if ( ev->eType == ctlSelectEvent){
		if ( ev->data.ctlSelect.controlID == MainQuitButton)
			return false;
		PushRemoconButton( ev->data.ctlSelect.controlID);
		return true;
	}
	
	return false;
}